Documentation Mercado Libre

Check out all the necessary information about APIs Mercado Libre.
circulos azuis em degrade

Documentation

Last update 15/06/2026

Domains, products and attributes vehicle accessories references


Available domains

Country Domain
ARGENTINA MLA-CARS_AND_VANS
BRASIL MLB-CARS_AND_VANS
MÉXICO MLM-CARS_AND_VANS_FOR_COMPATIBILITIES
URUGUAY MLU-CARS_AND_VANS
CHILE MLC-CARS_AND_VANS_FOR_COMPATIBILITIES
COLOMBIA MCO-CARS_AND_VANS_FOR_COMPATIBILITIES

According to the domain of the site, we suggest that within your compatibility manager you enable primary, secondary and optional filters as shown in the following images.


Example of attributes used in the vehicle compatibility search engine for the CARS_AND_VANS domain that applies to the MLA, MLB and MLU sites.



Example of attributes used in the vehicle compatibility search engine for the CARS_AND_VANS_FOR_COMPATIBILITIES domain that applies to the MLM, MLC and MCO sites.



Main attributes

Attributes description Attributes of CARS_AND_VANS (MLA, MLB and MLU) Attributes of CARS_AND_VANS_FOR_COMPATIBILITIES (MLM, MLC and MCO)
BRAND BRAND BRAND
MODEL MODEL CAR_AND_VAN_MODEL
YEAR VEHICLE_YEAR YEAR
TRIM SHORT_VERSION CAR_AND_VAN_SUBMODEL
MOTOR ENGINE CAR_AND_VAN_ENGINE

Secondary attributes

Descripción de atributos Atributos de CARS_AND_VANS (MLA, MLB y MLU) Atributos de CARS_AND_VANS_FOR_COMPATIBILITIES (MLM, MLC y MCO)
COMBUSTIBLE FUEL_TYPE N/A
POTENCIA POWER N/A
CARROCERÍA VEHICLE_BODY_TYPE N/A
TRANSMISIÓN TRANSMISSION_CONTROL_TYPE N/A

Optional attributes

Description of attributes Attributes of CARS_AND_VANS (MLA, MLB and MLU) Attributes of CARS_AND_VANS_FOR_COMPATIBILITIES (MLM, MLC and MCO)
MARCHAS GEAR_NUMBER CAR_AND_VAN_ENGINE
PUERTAS DOORS N/A
DIRECCIÓN STEERING N/A
TRACCIÓN TRACTION_CONTROL N/A
VÁLVULAS VALVES_PER_CYLINDER N/A
SISTEMA DE DIRECCIÓN N/A STEERING_SYSTEM
TIPO DE DIRECCIÓN N/A STEERING_TYPE
TIPO DE TRACCIÓN N/A DRIVE_TYPE
CARROCERÍA N/A CAR_AND_VAN_BODY_TYPE
TIPO DE CONTROL DE LA TRANSMISIÓN N/A TRANSMISSION_CONTROL_TYPE
CANTIDAD DE VELOCIDADES DE LA TRANSMISIÓN N/A TRANSMISSION_SPEEDS_NUMBER
CANTIDAD DE PUERTAS N/A BODY_DOORS_NUMBER
FRENOS ABS N/A BRAKE_ABS

Attributes by domain

Remember that the detail of the attributes of each Domain can be achieved with the following request:

curl -X GET --header 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/catalog_domains/$domain_id

Example:

curl -X GET --header 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/catalog_domains/MLA-CARS_AND_VANS

Attributes by category

The detail of the attributes of each category can be achieved with the following request:

curl -X GET --header 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/categories/:CATEGORY_ID/attributes

Example:

curl -X GET --header 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/categories/MLA12345/attributes

As of 07/15/2026, the resource POST /catalog_compatibilities/products_search/chunks is no longer available.

To manage compatibilities for your listings, use the alternatives detailed below.

1. Identify listings with pending suggested compatibilities — use the tag pending_compatibilities:

curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' \
'https://api.mercadolibre.com/users/$SELLER_ID/items/search?tags=pending_compatibilities'

2. Identify listings with incomplete compatibilities — use the tag incomplete_compatibilities:

curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' \
'https://api.mercadolibre.com/users/$SELLER_ID/items/search?tags=incomplete_compatibilities'

3. Manage the vehicle catalog and apply suggestions — use the Compatibility Manager on Mercado Libre directly.



Top values

Now you can see how to implement the functionality of obtaining different lists with attribute values through the Top values feature and filter the results.
With the following feature you can obtain the values of each combination and refine the search each time.

Request:

curl -X POST --header 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/catalog_domains/$DOMAIN_ID/attributes/$ATTRIBUTE_ID/top_values 

"BRAND" example:

curl -X POST --header 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/catalog_domains/MLA-CARS_AND_VANS/attributes/BRAND/top_values

Response:

[
   {
       "id": "60249",
       "name": "Volkswagen",
       "metric": 7781
   },
   {
       "id": "66432",
       "name": "Ford",
       "metric": 5616
   },
   {
       "id": "9909",
       "name": "Renault",
       "metric": 4327
   },
   {
       "id": "60279",
       "name": "Peugeot",
       "metric": 4250
   },
   {
       "id": "67781",
       "name": "Fiat",
       "metric": 4172
   },
[…]
]

Example to filter models (MODEL) of a brand (BRAND):

curl -X POST --header 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/catalog_domains/MLA-CARS_AND_VANS/attributes/MODEL/top_values 
{
   "known_attributes": [
       {
           "id": "BRAND",
           "value_id": "60249"
       }
   ]
}

Response:

[
   {
       "id": "63686",
       "name": "Amarok",
       "metric": 1516
   },
   {
       "id": "1252874",
       "name": "Gol Trend",
       "metric": 925
   },
   {
       "id": "62109",
       "name": "Gol",
       "metric": 684
   },
   {
       "id": "1252871",
       "name": "Suran",
       "metric": 604
   },
   {
       "id": "64016",
       "name": "Vento",
       "metric": 585
   },
…
]

Example to get the available years (VEHICLE_YEAR) filtering by brand and model:

curl -X POST --header 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/catalog_domains/MLA-CARS_AND_VANS/attributes/VEHICLE_YEAR/top_values
{
   "known_attributes": [
       {
           "id": "BRAND",
           "value_id": "60249"
       },
       {
           "id": "MODEL",
           "value_id": "63686"
       }
   ]
}

Response:

[
   {
       "id": "6730991",
       "name": "2020",
       "metric": 732
   },
   {
       "id": "423549",
       "name": "2015",
       "metric": 130
   },
   {
       "id": "436694",
       "name": "2017",
       "metric": 115
   },
   {
       "id": "2451646",
       "name": "2019",
       "metric": 104
   },
[…]
]

Back to: Compatibility between items and vehicle accessories.